
Foreman - Bug #36744

VM tab (legacy UI) shows error in case host is not associated to VM

09/14/2023 09:14 AM - Markus Reisner

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9832,

https://github.com/theforeman/foreman/p

ull/10005

  

Description

Steps to reproduce:

1. Register a host

2. Go to hosts > My_Registered_Host > Dot menu > Legacy UI > VM tab

Actual Result:

An error is shown

Expected result:

Upon registration, the host is not associated to a VM. In case the host is not associated to a VM, the VM tab should not be visible at

all.

Associated revisions

Revision 39805665 - 12/07/2023 01:23 PM - Markus Reisner 

Fixes #36744 - VM tab (legacy UI) shows error in case host is not associated to VM

History

#1 - 09/14/2023 09:15 AM - Markus Reisner

- Description updated

#2 - 09/14/2023 09:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9832 added

#3 - 12/07/2023 01:23 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#4 - 12/07/2023 02:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|39805665d50cf7d408267001311dd4f7e711efef.

#5 - 02/05/2024 11:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10005 added
